<?php

namespace CustomerManagement\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetSecurityQuestionsInput StructType
 * @subpackage Structs
 */
class GetSecurityQuestionsInput extends AbstractStructBase
{
    /**
     * The CultureId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $CultureId;
    /**
     * Constructor method for GetSecurityQuestionsInput
     * @uses GetSecurityQuestionsInput::setCultureId()
     * @param int $cultureId
     */
    public function __construct($cultureId = null)
    {
        $this
            ->setCultureId($cultureId);
    }
    /**
     * Get CultureId value
     * @return int
     */
    public function getCultureId()
    {
        return $this->CultureId;
    }
    /**
     * Set CultureId value
     * @param int $cultureId
     * @return \CustomerManagement\StructType\GetSecurityQuestionsInput
     */
    public function setCultureId($cultureId = null)
    {
        // validation for constraint: int
        if (!is_null($cultureId) && !(is_int($cultureId) || ctype_digit($cultureId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($cultureId, true), gettype($cultureId)), __LINE__);
        }
        $this->CultureId = $cultureId;
        return $this;
    }
}
